Bug 1897496 - freecad: FTBFS in Fedora rawhide/F33 with qt5 5.15.1
Summary: freecad: FTBFS in Fedora rawhide/F33 with qt5 5.15.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-11-13 08:29 UTC by Jitka Plesnikova
Modified: 2020-12-08 01:46 UTC (History)
4 users (show)

Fixed In Version: freecad-0.19-0.3.20201125gita50ae33557.fc33.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-08 01:46:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Jitka Plesnikova 2020-11-13 08:29:07 UTC
Description of problem:
Package freecad fails to build from source in Fedora rawhide and Fedora 33 with errors:

/builddir/build/BUILD/FreeCAD-0.18.4/src/Mod/Image/Gui/OpenGLImageBox.cpp: In member function 'void ImageGui::GLImageBox::renderText(int, int, const QString&, const QFont&)':
/builddir/build/BUILD/FreeCAD-0.18.4/src/Mod/Image/Gui/OpenGLImageBox.cpp:906:18: error: aggregate 'QPainterPath textPath' has incomplete type and cannot be defined
  906 |     QPainterPath textPath;
      |                  ^~~~~~~~
[...]
In file included from /usr/include/qt5/QtCore/qglobal.h:1304,
                 from /usr/include/qt5/QtCore/qchar.h:43,
                 from /usr/include/qt5/QtCore/qstring.h:49,
                 from /usr/include/qt5/QtCore/QString:1,
                 from /builddir/build/BUILD/FreeCAD-0.18.4/src/Mod/Part/Gui/Command.cpp:28:
/usr/include/qt5/QtCore/qflags.h:123:80: note: declared here
  123 |     QT_DEPRECATED_X("Use default constructor instead") Q_DECL_CONSTEXPR inline QFlags(Zero) noexcept : i(0) {}
      |                                                                                ^~~~~~
gmake[2]: *** [src/Mod/Image/Gui/CMakeFiles/ImageGui.dir/build.make:268: src/Mod/Image/Gui/CMakeFiles/ImageGui.dir/OpenGLImageBox.cpp.o] Error 1
gmake[2]: *** Waiting for unfinished jobs....


Version-Release number of selected component (if applicable):
0.18.4-12.fc34

Steps to Reproduce:
koji build --scratch f34 freecad-0.18.4-12.fc34.src.rpm

Dependency changes from the latest successful build:
https://koschei.fedoraproject.org/build/8970270

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/freecad

Comment 1 Fedora Release Engineering 2020-11-15 04:37:37 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 33.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-08).

A week before the mass branching of Fedora 34 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 32 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 2 Richard Shaw 2020-11-16 22:29:15 UTC
I'm not sure why the needinfo nag was added only 2 days after the bug was created...

Comment 3 Adam Williamson 2020-11-16 22:42:34 UTC
It's a distro-wide pass that's run at a specified point in the release cycle. It's just coincidence that in this case the bug was recently filed, but there's nothing incorrect about it.

Comment 4 Fedora Update System 2020-11-29 23:46:36 UTC
FEDORA-2020-abb0a9f6e5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-abb0a9f6e5

Comment 5 Fedora Update System 2020-11-30 01:48:00 UTC
FEDORA-2020-abb0a9f6e5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-abb0a9f6e5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-abb0a9f6e5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-12-08 01:46:46 UTC
FEDORA-2020-abb0a9f6e5 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.